Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

asked 2015-10-05 09:38:15 -0500

florian gravatar image

DNF: Upgrade fails, conflict with lash packages

Running sudo dnf upgrade, I do get the following conflict/error with package lash.

Any ideas how to deal with this?

Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/lash/lash-manual/lash-manual.html conflicts between attempted installs of lash-0.5.4-22.fc22.i686 and lash-0.5.4-22.fc22.x86_64

Why does dnf want to install both the .i686 and the x86_64 package on my system (4.1.7-200.fc22.x86_64)?

...
(29/54): lash-0.5.4-22.fc22.x86_64.rpm            3.8 MB/s | 158 kB     00:00    
(30/54): lash-0.5.4-22.fc22.i686.rpm              3.6 MB/s | 159 kB     00:00  
...

DNF: Upgrade fails, conflict with lash packages

Running sudo dnf upgrade, I do get the following conflict/error with package lash.

Any ideas how to deal with this?

Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/lash/lash-manual/lash-manual.html conflicts between attempted installs of lash-0.5.4-22.fc22.i686 and lash-0.5.4-22.fc22.x86_64

Why does dnf want to install do I have both the .i686 and the x86_64 package installed on my system (4.1.7-200.fc22.x86_64)?

...
(29/54): lash-0.5.4-22.fc22.x86_64.rpm            3.8 MB/s | 158 kB     00:00    
(30/54): lash-0.5.4-22.fc22.i686.rpm              3.6 MB/s | 159 kB     00:00  
...

Is it a good idea to remove lash, upgrade the system, and then installed lash?

DNF: Upgrade fails, conflict with lash packages

Running sudo dnf upgrade, I do get the following conflict/error with package lash.

Any ideas how to deal with this?

Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/lash/lash-manual/lash-manual.html conflicts between attempted installs of lash-0.5.4-22.fc22.i686 and lash-0.5.4-22.fc22.x86_64

Why do I have both the .i686 and the x86_64 package installed on my system (4.1.7-200.fc22.x86_64)?

...
(29/54): lash-0.5.4-22.fc22.x86_64.rpm            3.8 MB/s | 158 kB     00:00    
(30/54): lash-0.5.4-22.fc22.i686.rpm              3.6 MB/s | 159 kB     00:00  
...

Is it a good idea to remove (For now I just skipped upgrade of lash using dnf upgrade --exclude lash, upgrade the system, and then installed lash?)

DNF: Upgrade fails, conflict with lash packages

Running sudo dnf upgrade, I do get the following conflict/error with package lash.

Any ideas how to deal with this?

Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/lash/lash-manual/lash-manual.html conflicts between attempted installs of lash-0.5.4-22.fc22.i686 and lash-0.5.4-22.fc22.x86_64

Why do I have both the .i686 and the x86_64 package installed on my system (4.1.7-200.fc22.x86_64)?

...
(29/54): lash-0.5.4-22.fc22.x86_64.rpm            3.8 MB/s | 158 kB     00:00    
(30/54): lash-0.5.4-22.fc22.i686.rpm              3.6 MB/s | 159 kB     00:00  
...

(For now I just skipped upgrade of lash using dnf upgrade --exclude lash)